# Enviar mensaje multimedia

{% hint style="info" %}
Limite de 15 megabytes (MB) para archivos multimedia base64.
{% endhint %}

## Envia un mensaje de medios

> Envia un mensaje de medios (imagen, video, audio o documento) a un número de teléfono específico.

```json
{"openapi":"3.0.2","info":{"title":"API Whatsapp","version":"1.0"},"tags":[{"name":"Instance"}],"servers":[{"url":"https://chat.migo.pe"}],"paths":{"/message/sendMedia/{instanceName}":{"post":{"summary":"Envia un mensaje de medios","tags":["Instance"],"description":"Envia un mensaje de medios (imagen, video, audio o documento) a un número de teléfono específico.","parameters":[{"$ref":"#/components/parameters/ApiKey"},{"name":"instanceName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"number":{"type":"string","description":"Número de teléfono del destinatario con el código de país"},"mediatype":{"type":"string","description":"Tipo de medio a enviar","enum":["image","video","audio","document"]},"media":{"type":"string","description":"Base64 o URL HTTPS del medio a enviar"},"mimetype":{"type":"string","description":"Tipo MIME del medio a enviar ejemplo: 'image/jpg'"},"caption":{"type":"string","description":"Texto del mensaje que acompaña al medio, no aplica para audio"},"fileName":{"type":"string","description":"Nombre del archivo a enviar, solo aplica para documentos ejemplo: 'document.pdf'"}},"required":["number","mediatype","media"]}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMedia"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"}}}}},"components":{"parameters":{"ApiKey":{"name":"apikey","in":"header","required":true,"schema":{"type":"string"}}},"schemas":{"SendMedia":{"type":"object","properties":{"message":{"type":"object","properties":{"imageMessage":{"type":"object","properties":{"url":{"type":"string"},"mimetype":{"type":"string"},"fileSha256":{"type":"string"},"fileLength":{"type":"string"}}},"base64":{"type":"string"}}},"messageType":{"type":"string","enum":["imageMessage","videoMessage","audioMessage","documentMessage"]},"messageTimestamp":{"type":"integer"}}}}}}
```

{% embed url="<https://developer.mozilla.org/en-US/docs/Web/HTTP/Guides/MIME_types/Common_types>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.migo.pe/api-whatsapp/api/enviar-mensaje-multimedia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
